List Videos
curl --request GET \
--url https://managexrapi.com/v1/videos \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/videos"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"contentType": "video",
"id": "gF0ODIEvXSwsjqtP0CgVo",
"title": "Discover San Francsico",
"description": "[360 Mono Cubemap] 1 MB",
"size": 553657,
"type": "_360",
"display": "MONO",
"mapping": "CUBEMAP",
"packing": "NONE",
"md5": "7ah69cMtXyaz5OfsCRtOjQ==",
"iconUrl": "https://firebasestorage.googleapis.com/v0/b/example.jpg",
"createdAt": 1696978504660,
"updatedAt": 1715651553616
}
]
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}Library
List Videos
Returns all videos stored in the organization’s library.
GET
/
v1
/
videos
List Videos
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Response
A list of videos
Show child attributes
Show child attributes
⌘I